/*
 * This program accepts two lists of integers from the user and test 
 * whether they are equal
 */
#include <stdio.h>


#define ARRAY_SIZE 5


/* Returns true iff both arrays are identical, false otherwise */
int compare_arrays(int arr1[], int arr2[], int size)
{
	int i = 0;

    for (i = 0; i < size; ++i)
    {
		if (arr1[i] != arr2[i])
			return 0;
    }

	/* If we got here, both arrays are identical */
	return 1;
}


int main(void)
{
	int input1[ARRAY_SIZE], input2[ARRAY_SIZE], i;

	printf("Please enter a list of %d integers:\n", ARRAY_SIZE);
	for (i = 0; i < ARRAY_SIZE; ++i)
		scanf("%d", &input1[i]);

	printf("Please enter another list of %d integers:\n", ARRAY_SIZE);
	for (i = 0; i < ARRAY_SIZE; ++i)
		scanf("%d", &input2[i]);

	if (compare_arrays(input1, input2, ARRAY_SIZE))
		printf("The lists are identical!\n");
	else
		printf("The lists are different\n");

	return 0;
}

