/*
 * Multiply two 3x3 matrices.
 */
#include <stdio.h>


#define MATRIX_SIZE 3


int main() 
{
	int a[][MATRIX_SIZE] = { {1,2,3}, 
						     {4,5,6},
						     {7,8,9}};
	int b[][MATRIX_SIZE] = { {1,0,0},
						     {0,2,0},
						     {0,0,3}};
	int c[MATRIX_SIZE][MATRIX_SIZE];
	int i = 0, j = 0, k = 0;

	/* Print a */ 
	printf("a:\n");
	for (i = 0; i < MATRIX_SIZE; ++i)
	{
		for (j = 0; j < MATRIX_SIZE; ++j)
			printf("%3d ", a[i][j]);
		printf("\n");
	}

	/* Print b */ 
	printf("\nb:\n");
	for (i = 0; i < MATRIX_SIZE; ++i)
	{
		for (j = 0; j < MATRIX_SIZE; ++j)
			printf("%3d ", b[i][j]);
		printf("\n");
	}

	/* Compute the product c = a * b */
	for (i = 0; i < MATRIX_SIZE; ++i)
		for (j = 0; j < MATRIX_SIZE; ++j)
		{
			c[i][j] = 0;
			for (k = 0; k < MATRIX_SIZE; ++k)
				c[i][j] += a[i][k] * b[k][j];
		}

	/* Print c */ 
	printf("\nc = a*b:\n");
	for (i = 0; i < MATRIX_SIZE; ++i)
	{
		for (j = 0; j < MATRIX_SIZE; ++j)
			printf("%3d ", c[i][j]);
		printf("\n");
	}
}
